## modsecurity-apache 2.1.1

=== apache2/Makefile ===
builddir     = .

# To successfully build ModSecurity for Apache you will
# need to configure the "top_dir" variable properly. The
# correct value will differ from system to system.
#
# If you've installed Apache manually simply point to the
# installation directory. Most pre-packaged installations
# consist of two parts. One contains the binaries, and the
# other contains the "development" files. You will typically
# need both.
#
# The list below may help:
#
#     Fedora Core - /usr/lib/httpd (the httpd-devel package must be installed)
#
#     Debian - /usr/share/apache2  (apache2-prefork-dev or apache2-threaded-dev
#                                   needed, depending on your installation type)
#
top_dir      = /apps/apache22

top_srcdir   = ${top_dir}
top_builddir = ${top_dir}

include ${top_builddir}/build/special.mk

APXS      = apxs
APACHECTL = apachectl

INCLUDES = -I /usr/include/libxml2
DEFS = -DWITH_LIBXML2
#LIBS = -Lmy/lib/dir -lmylib

CFLAGS = -O2 -g -Wuninitialized -Wall -Wmissing-prototypes -Wshadow -Wunused-variable -Wunused-value -Wchar-subscripts -Wsign-compare

all: local-shared-build

clean:
	-rm -f *.o *.lo *.slo *.la *~ .libs

## modsecurity-apache 2.1.3

=== apache2/Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 INCLUDES = -I /usr/include/libxml2
 DEFS = -DWITH_LIBXML2
+#DEFS = -DWITH_LIBXML2 -DNO_MODSEC_API
 #LIBS = -Lmy/lib/dir -lmylib
 
 CFLAGS = -O2 -g -Wuninitialized -Wall -Wmissing-prototypes -Wshadow -Wunused-variable -Wunused-value -Wchar-subscripts -Wsign-compare

## modsecurity-apache 2.1.7

=== apache2/Makefile ===
--- 
+++ 
@@ -17,7 +17,22 @@
 #     Debian - /usr/share/apache2  (apache2-prefork-dev or apache2-threaded-dev
 #                                   needed, depending on your installation type)
 #
-top_dir      = /apps/apache22
+# On Solaris the top_builddir is /var/apache2.  This version of Apache
+# httpd uses the buildin PCRE, but you must still install the PCRE headers
+# to compile ModSecurity as they are not installed with Apache httpd. Because
+# of this, it is recommended to install your own version of Apache httpd.
+#
+# Additionally, if you do not have PCRE installed, you can use the
+# headers included with Apache httpd.  To do this, add the PCRE
+# include directory to the INCLUDES variable below
+# Something like: -I /path/to/httpd-x.y/srclib/pcre
+#
+# XML Support:  Please note that the included Core Ruleset may assume XML
+# support is available (-DWITH_LIBXML2).  You may have to manually remove any
+# XML references in the Core Ruleset if you choose not to include XML support.
+# In future versions of ModSecurity XML support will be required.
+#
+top_dir      = /usr/local/apache2
 
 top_srcdir   = ${top_dir}
 top_builddir = ${top_dir}
@@ -28,6 +43,7 @@
 APACHECTL = apachectl
 
 INCLUDES = -I /usr/include/libxml2
+#INCLUDES = -I /usr/include/libxml2 -I /path/to/httpd-x.y/srclib/pcre
 DEFS = -DWITH_LIBXML2
 #DEFS = -DWITH_LIBXML2 -DNO_MODSEC_API
 #LIBS = -Lmy/lib/dir -lmylib

## modsecurity-apache 2.5.13

=== apache2/Makefile ===
# Makefile for ModSecurity

MOD_SECURITY2 = mod_security2 apache2_config apache2_io apache2_util \
    re re_operators re_actions re_tfns re_variables \
    msc_logging msc_xml msc_multipart modsecurity msc_parsers msc_util msc_pcre \
    persist_dbm msc_reqbody pdf_protect msc_geo acmp msc_lua msc_release

MSC_TEST = re re_operators re_actions re_tfns re_variables \
    msc_logging msc_xml msc_multipart modsecurity \
    msc_parsers msc_util msc_pcre  persist_dbm \
    msc_reqbody msc_geo acmp msc_lua msc_release

MOD_SECURITY2_H = re.h modsecurity.h msc_logging.h msc_multipart.h msc_parsers.h \
    msc_pcre.h msc_util.h msc_xml.h persist_dbm.h apache2.h pdf_protect.h \
    msc_geo.h acmp.h utf8tables.h msc_lua.h msc_release.h

CC = i486-linux-gnu-gcc
LIBTOOL = /usr/share/apr-1.0/build/libtool --silent
PERL = /usr/bin/perl
EXTRA_CFLAGS = -O2 -g -Wall 
MODSEC_EXTRA_CFLAGS = -DWITH_PCRE_STUDY -DMODSEC_PCRE_MATCH_LIMIT=1500 -DMODSEC_PCRE_MATCH_LIMIT_RECURSION=1500      

### Note: must be in APXS format: -Wc,-flag
APXS_EXTRA_CFLAGS =  -Wc,-O2 -Wc,-g -Wc,-Wall
MODSEC_APXS_EXTRA_CFLAGS =  -Wc,-DWITH_PCRE_STUDY -Wc,-DMODSEC_PCRE_MATCH_LIMIT=1500 -Wc,-DMODSEC_PCRE_MATCH_LIMIT_RECURSION=1500

APXS = /usr/bin/apxs2
APXS_WRAPPER = build/apxs-wrapper
APXS_INCLUDEDIR = /usr/include/apache2
APXS_INCLUDES = -I/usr/include/apache2  -I/usr/include/apache2 -I. -I/usr/include/apr-1.0
APXS_CFLAGS = -DLINUX=2 -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -D_REENTRANT -I/usr/include/apr-1.0 -I/usr/include/openssl -I/usr/include/xmltok -pthread  
APXS_LDFLAGS = -Wl,--as-needed -Wl,-z,relro 
APXS_LIBS = -L/usr/lib  -lm -L/usr/lib -lpcre

PCRE_CFLAGS = 
PCRE_LIBS = -L/usr/lib -lpcre

LUA_CFLAGS = -DWITH_LUA -I/usr/include/lua5.1  
LUA_LIBS = -llua5.1  

LIBXML2_CFLAGS = -I/usr/include/libxml2
LIBXML2_LIBS = -lxml2

APR_CFLAGS =  -I/usr/include/apr-1.0  -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -pthread
APR_LDFLAGS =  
APR_LIBS =  
APR_LINK_LD =  -L/usr/lib -lapr-1

APU_CFLAGS =  -I/usr/include/apr-1.0 
APU_LDFLAGS =  
APU_LIBS =   -ldb    
APU_LINK_LD =  -L/usr/lib -laprutil-1

CPPFLAGS = -I/usr/include/apache2  -I/usr/include/apache2 -I. -I/usr/include/apr-1.0  $(PCRE_CFLAGS) $(LIBXML2_CFLAGS) $(LUA_CFLAGS) 
LIBS =  $(PCRE_LIBS) $(LIBXML2_LIBS) $(LUA_LIBS)
LDFLAGS = 
CFLAGS = 

COMPILE_APACHE_MOD = $(APXS_WRAPPER) -c $(CPPFLAGS) $(LDFLAGS) $(LIBS)

INSTALL_MOD_SHARED = $(APXS_WRAPPER) -i

all: mod_security2.la

install: install-mods

clean-extras:
	@for dir in mlogc-src; do \
	    if test -d $$dir; then \
			(cd $$dir && $(MAKE) clean); \
		fi; \
	done
	@rm -rf ../tools/mlogc ../tools/mlogc-batch-load.pl

clean: clean-extras
	@rm -rf *.la *.lo *.loT *.o *.slo .libs msc_test msc-test-debug.log

distclean: clean
	@rm -rf Makefile mlogc-src/Makefile mlogc-src/mlogc-batch-load.pl ../tools/*.pl t/run-unit-tests.pl t/run-regression-tests.pl t/gen_rx-pm.pl t/csv_rx-pm.pl t/run-tests.pl t/regression/server_root/conf/httpd.conf t/regression/server_root/conf/*.t_*.conf t/regression/server_root/tmp/* t/regression/server_root/logs/*.log t/regression/server_root/logs/audit/* t/regression/server_root/upload/* t/regression/server_root/data/* config config.log config.status build/apxs-wrapper

maintainer-clean: distclean
	@rm -rf config config.log config.status configure mod_security2_config.h autoscan.log configure.scan build/libtool.m4 build/config.guess build/config.sub build/ltmain.sh

install-mods: mod_security2.la
	$(INSTALL_MOD_SHARED) mod_security2.la

${MOD_SECURITY2:=.slo}: $(MOD_SECURITY2_H)
${MOD_SECURITY2:=.lo}: $(MOD_SECURITY2_H)
${MOD_SECURITY2:=.o}: $(MOD_SECURITY2_H})

mod_security2.la: $(MOD_SECURITY2_H) *.c
	@src=""; \
	for f in $(MOD_SECURITY2); do \
		src="$$src $$f.c"; \
	done; \
	rm -f msc_test msc_test.o msc_test.lo msc_test.slo; \
	$(COMPILE_APACHE_MOD) $(APXS_EXTRA_CFLAGS) $(MODSEC_APXS_EXTRA_CFLAGS) $$src

### MLogC
mlogc:
	@(cd mlogc-src && $(MAKE) mlogc) \
	&& cp -p mlogc-src/mlogc ../tools \
	&& cp -p mlogc-src/mlogc-batch-load.pl ../tools \
	&& echo \
	&& echo "Successfully built \"mlogc\" in ../tools." \
	&& echo "See: mlogc-src/INSTALL" \
	&& echo

### Experimental Test Framework (*NIX only right now)
msc_test.lo: msc_test.c
	$(LIBTOOL) --mode=compile $(CC) $(APXS_INCLUDES) $(APXS_CFLAGS) $(CPPFLAGS) $(APR_CFLAGS) $(APU_CFLAGS) -o msc_test.lo -c msc_test.c

msc_test: $(TESTOBJS) $(MOD_SECURITY2_H}) msc_test.lo 
	objs=""; \
	for f in $(MSC_TEST); do \
		objs="$$objs $$f.lo"; \
	done; \
	$(LIBTOOL) --mode=link $(CC) $$objs -o msc_test msc_test.lo $(LDFLAGS) $(LIBS) $(APR_LINK_LD) $(APU_LINK_LD)

test: t/run-unit-tests.pl msc_test
	@rm -f msc-test-debug.log; \
	$(PERL) t/run-unit-tests.pl

test-regression: t/run-regression-tests.pl
	@$(PERL) t/run-regression-tests.pl

.PHONY: all install clean-extras clean maintainer-clean distclean install-mods test test-regression

=== apache2/mlogc-src/Makefile ===
# Generated Makefile for ModSecurity Log Collector (mlogc)

CC = gcc
EXTRA_CFLAGS = -O2 -g -Wall 

srcdir = .
modsecsrcdir = $(srcdir)/..
srclibdir = $(srcdir)/srclib

MLOGC_VERSION = `grep '^\#define *VERSION ' mlogc.c | sed 's/.*VERSION *"\([^"]*\)"/\1/'`

APR_FLAGS =  -I/usr/include/apr-1.0  -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -pthread
APR_LIBS =  -L/usr/lib -lapr-1  

CURL_FLAGS = 
CURL_LIBS = -lcurl

PCRE_FLAGS = 
PCRE_LIBS = -L/usr/lib -lpcre

APR_S_FLAGS = `$(srclibdir)/install/apr/bin/apr-1-config --includes --cppflags --cflags`
APR_S_LIBS = `$(srclibdir)/install/apr/bin/apr-1-config --link-ld`

CURL_S_FLAGS = `$(srclibdir)/install/curl/bin/curl-config --cflags`
CURL_S_LIBS = `$(srclibdir)/install/curl/bin/curl-config --libs`

PCRE_S_FLAGS = `$(srclibdir)/install/pcre/bin/pcre-config --cflags`
PCRE_S_LIBS = `$(srclibdir)/install/pcre/bin/pcre-config --libs`

all: mlogc

mlogc: mlogc.c
	@echo; \
	echo "Building dynamically linked mlogc..."; \
	$(CC) $(CFLAGS) -o mlogc mlogc.c \
	-I$(modsecsrcdir) \
	$(APR_FLAGS) $(CURL_FLAGS) $(PCRE_FLAGS) \
	$(APR_LIBS) $(CURL_LIBS) $(PCRE_LIBS); \
	chmod 755 mlogc; \
	echo; \
	echo "Build finished.  Please follow the INSTALL instructions to complete the install."; \
	echo

.archives-ok:
	@if [ -n "$(MLOGC_NOVERIFY)" -a "$(MLOGC_NOVERIFY)" = "1" ]; then \
		touch .archives-ok; \
	else \
		$(srclibdir)/archives.sh && touch .archives-ok; \
	fi

.support-libs-ok:
	$(srclibdir)/build.sh && touch .support-libs-ok

archives: .archives-ok

support-libs: .support-libs-ok

clean-build:
	@rm -rf $(srclibdir)/build

clean-install:
	@rm -rf $(srclibdir)/install

clean-mlogc:
	@rm -rf core mlogc *~ *.o *.so *.lo *.la *.slo

distclean: clean

clean: clean-build clean-install clean-mlogc

=== debian/changelog ===
modsecurity-apache (2.5.13-1) unstable; urgency=low

  * The "Rename the whole thing" release
    Move to libapache2- for the binary package to match the rest of
    Apache 2.x modules.
    Rename the source package to its current name, modsecurity-apache,
    since the former source name came from very old versions (1.x).
    Also allowing the future modsecurity-crs to have a more related source
    name.  (Closes: #516540)
  * Merge documentation in libapache2-modsecurity temporarily.
    mod-security-common is going away. modsecurity-crs will soon come.
  * New upstream release
  * debian/control:
    - Added Homepage field
    - Bumped Standards-Version to 3.9.1
  * Added watch file

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 23 Mar 2011 18:36:29 +0100

libapache-mod-security (2.5.12-1) unstable; urgency=low

  * New upstream release. Fixes several security issues.
    (Closes: #569658)
  * Moved to dpkg-source 3.0 (quilt).
  * Bumped Standards-Version to 3.8.4.0

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 11 Mar 2010 13:36:25 +0100

libapache-mod-security (2.5.11-1) unstable; urgency=low

  * New upstream release
  * Changed section to httpd (from web)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 12 Nov 2009 11:50:33 +0100

libapache-mod-security (2.5.10-1) unstable; urgency=low

  * New upstream version.
  * debian/control: remove mod-security-common dependency on
    libapache-mod-security. (Closes: #529064)
  * liblua correctly detected on build now. (Closes: #524913)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 01 Oct 2009 12:57:44 +0200

libapache-mod-security (2.5.9-1) unstable; urgency=high

  * New upstream release. (Closes: #512472)
    Urgency high due to it fixing multiple remote DoS.
    Bugtraq ID: 34096
  * Moved to debhelper compatibility level 7:
    - echo 7 > debian/compat
    - Added ${misc:Depends} to debian/control
    - Bumped debhelper version dependency in debian/control
  * Fixed long description formatting. (Closes: #516540)
  * Prepared build of mlogc, not releasing this time due to
    urgency of release and missing man page.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 23 Mar 2009 09:56:42 +0100

libapache-mod-security (2.5.6-1) unstable; urgency=low

  * The 'Back to the archive!' Release (Closes: #487431)
  * Drop '2' from package name, now libapache-mod-security
  * New upstream release
    - Includes a new licensing exception that allows binary 
      distribution with licenses not compatible with GPLv2,
      such as Apache's. See MODSECURITY_LICENSING_EXCEPTION
  * Removed debian/bug and debian/rules entry to install bug
    handling when out of the archive.
  * Bumped Standards-Version to 3.8.0.0

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 08 Aug 2008 13:31:56 +0200

libapache-mod-security2 (2.5.5-1) unstable; urgency=low

  * New upstream release

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 10 Jun 2008 17:21:48 +0200

libapache-mod-security2 (2.5.0-1) unstable; urgency=low

  * New upstream release
  * Added liblua5.1-0-dev to Build-Depends
  * Added apache2-prefork-dev as Build-Depends alternative

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 09 Mar 2008 19:41:47 +0100

libapache-mod-security2 (2.1.5-1) unstable; urgency=low

  * New upstream release

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 31 Jan 2008 16:27:29 +0100

libapache-mod-security2 (2.1.2-1) unstable; urgency=low

  * New upstream version

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 06 Aug 2007 21:55:28 +0200

libapache-mod-security2 (2.1.0-1) unstable; urgency=low

  * New upstream version
  * Added Core Rules to examples directory

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun,  4 Mar 2007 15:17:08 +0100

libapache-mod-security2 (2.0.4-1) unstable; urgency=low

  * New upstream version

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 18 Nov 2006 11:00:21 +0100

libapache-mod-security2 (2.0.3-1) unstable; urgency=low

  * Initial release (Only available for Apache 2.x)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 06 Nov 2006 17:55:54 +0100

libapache-mod-security (1.9.4-2) unstable; urgency=low

  * Moved to apache2.2-common
  * Fixed Depends between libapache2-mod-security, libapache-mod-security and
    mod-security-common, so they can be binNMUed
  * Bumped Standards-Version to 3.7.2.2

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 30 Oct 2006 16:52:16 +0100

libapache-mod-security (1.9.4-1) unstable; urgency=low

  * New upstream release.
  * Added bug control files to avoid spamming Debian's BTS.
    Thanks Daniel Baumann for the patch.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu,  1 Jun 2006 09:29:40 +0200

libapache-mod-security (1.9.2.0-1) unstable; urgency=low

  * New upstream release.
    Note: Added extra .0 to version number to ease upgrading from -rc3
    packages.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 27 Jan 2006 14:32:04 +0100

libapache-mod-security (1.9.2-rc3-1) unstable; urgency=low

  * New upstream release.
  * Moved away from Debian's archive due to license problems.
    (You may find updates @ http://inittab.org/debian)
  * Removed tests, as upstream did. Removed README.debian as it
    only mentioned tests.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 14 Jan 2006 21:44:50 +0100

libapache-mod-security (1.8.7-1) unstable; urgency=medium

  * New upstream release. (Closes: #285365)
  * Fixes several security issues, thus the urgency.
  * Set proper permissions on test suite scripts (Closes: #304195)
  * Corrected minor typo in README.Debian (Closes: #304196)
  * debian/control: Reworded packages descriptions to be more useful.
    (Closes: #304445)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 10 Apr 2005 12:28:03 +0200

libapache-mod-security (1.8.4-2) unstable; urgency=medium

  * New maintainer (Closes: #303613)
  * Thanks Adam Conrad for helping with the apache2


=== debian/control ===
Source: modsecurity-apache
Section: httpd
Priority: optional
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: debhelper (>> 7.0.0), apache2-threaded-dev|apache2-prefork-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
Standards-Version: 3.9.1
Homepage: http://www.modsecurity.org/

Package: libapache2-modsecurity
Architecture: any
Replaces: libapache-mod-security (<< 2.5.13-1), mod-security-common (<< 2.5.13-1)
Conflicts: libapache-mod-security (<< 2.5.13-1), mod-security-common (<< 2.5.13-1)
Recommends: modsecurity-crs
Depends: apache2.2-common, libxml2, ${shlibs:Depends}, ${misc:Depends}
Description: Tighten web applications security for Apache
 Modsecurity is an Apache module whose purpose is to tighten the Web
 application security. Effectively, it is an intrusion detection and prevention
 system for the web server. 
 .
 At the moment its main features are:
   * Audit log; store full request details in a separate file, including POST 
     payloads.
   * Request filtering; incoming requests can be analysed and offensive requests
     can be rejected (or simply logged, if that is what you want). This feature 
     can be used to prevent many types of attacks (e.g. XSS attacks, SQL 
     injection, ...) and even allow you to run insecure applications on your 
     servers (if you have no other choice, of course).
 .
 In addition to this package the modsecurity-common package, which includes 
 documentation and configuration examples, will be installed.

Package: libapache-mod-security
Architecture: all
Section: oldlibs
Depends: libapache2-modsecurity, ${misc:Depends}
Description: Dummy transitional package
 This package is provided to ease the updating of modsecurity to the new 
 package name. You may safely remove it.

# Package: modsecurity-mlogc
# Architecture: any
# Depends: libapache2-modsecurity (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
# Description: ModSecurity audit log collector
#  Mlogc is used to connect a ModSecurity sensor to the central
#  audit log repository.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd apache2 && ./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	cd apache2 && $(MAKE)
	#TODO#cd apache2/mlogc-src && $(MAKE)
	# since we cannot rename with dh_install, create a copy of the file with the desired name
	#TODO#cp apache2/mlogc-src/INSTALL apache2/mlogc-src/README.mlogc
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	cd apache2 && [ ! -f Makefile ] || $(MAKE) clean
	#TODO#cd apache2/mlogc-src && [ ! -f Makefile ] || $(MAKE) clean
	#TODO#rm -f apache2/mlogc-src/README.mlogc
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i -Xexample
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
#	dh_installexamples -a
	cp modsecurity.conf-minimal debian/libapache2-modsecurity/etc/modsecurity
#	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
#	dh_installcron -a
#	dh_installman -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs CHANGES -a
	dh_link -a
	dh_strip -a
	# don't compress examples
	dh_compress -a -Xexample
	dh_fixperms -a
	chown www-data debian/libapache2-modsecurity/var/cache/modsecurity
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure

## modsecurity-apache 2.6.0

=== debian/changelog ===
modsecurity-apache (2.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #627858, #607763)
  * Bumped Standards-Version to 3.9.2

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 16 Jun 2011 13:58:40 +0200

## modsecurity-apache 2.6.2

=== debian/changelog ===
modsecurity-apache (2.6.2-1) unstable; urgency=low

  * New upstream release (Closes: #634844)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 02 Oct 2011 11:34:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>> 7.0.0), apache2-threaded-dev|apache2-prefork-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.modsecurity.org/
 
 Package: libapache2-modsecurity

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	cd apache2 && ./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1
+	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1
 	touch configure-stamp
 
 build: configure-stamp build-stamp
@@ -24,7 +24,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	cd apache2 && [ ! -f Makefile ] || $(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) distclean
 	#TODO#cd apache2/mlogc-src && [ ! -f Makefile ] || $(MAKE) clean
 	#TODO#rm -f apache2/mlogc-src/README.mlogc
 	dh_clean
@@ -56,7 +56,7 @@
 #	dh_installdebconf -a
 	dh_installdocs -a
 #	dh_installexamples -a
-	cp modsecurity.conf-minimal debian/libapache2-modsecurity/etc/modsecurity
+	cp modsecurity.conf-recommended debian/libapache2-modsecurity/etc/modsecurity
 #	dh_installmenu -a
 #	dh_installlogrotate -a
 #	dh_installemacsen -a

## modsecurity-apache 2.6.3

=== debian/changelog ===
modsecurity-apache (2.6.3-1ubuntu0.1) precise-proposed; urgency=low

  * debian/mod-security.load: remove libxml2.so.2 path, since with
    multiarch it is always incorrect on i386 and amd64. Use no path and
    a corresponding apache2 change to use the standard dlopen search
    path in this case to allow the library to be found (LP: #988819).

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 08 Jun 2012 15:40:04 +0100

modsecurity-apache (2.6.3-1) unstable; urgency=low

  * New upstream release
  * Include mlogc (still missing manpage). (Closes: #645875)
  * postinst: changed force-reload to restart to avoid apache from segfaulting
    when upgrading modsecurity module (Closes: #574376)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 28 Dec 2011 16:51:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: modsecurity-apache
 Section: httpd
 Priority: optional
-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>> 7.0.0), apache2-threaded-dev|apache2-prefork-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
 Standards-Version: 3.9.2
 Homepage: http://www.modsecurity.org/

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,9 @@
 build-stamp:
 	dh_testdir
 	cd apache2 && $(MAKE)
-	#TODO#cd apache2/mlogc-src && $(MAKE)
+	cd mlogc && $(MAKE)
 	# since we cannot rename with dh_install, create a copy of the file with the desired name
-	#TODO#cp apache2/mlogc-src/INSTALL apache2/mlogc-src/README.mlogc
+	cp mlogc/INSTALL mlogc/README.mlogc
 	touch build-stamp
 
 clean:
@@ -25,8 +25,8 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
-	#TODO#cd apache2/mlogc-src && [ ! -f Makefile ] || $(MAKE) clean
-	#TODO#rm -f apache2/mlogc-src/README.mlogc
+	cd mlogc && [ ! -f Makefile ] || $(MAKE) clean
+	rm -f mlogc/README.mlogc
 	dh_clean
 
 install: build

## modsecurity-apache 2.6.4

=== debian/changelog ===
modsecurity-apache (2.6.4-1) unstable; urgency=low

  * New upstream release
  * Apply patch by Peter Michael Green to fix FTBFS on non-linux
    kernels. (Closes: #631649, #654719)
  * Added doc-base entry
  * Set Priority to extra for transitional libapache-mod-security

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 16 Mar 2012 13:26:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	cd mlogc && [ ! -f Makefile ] || $(MAKE) clean
 	rm -f mlogc/README.mlogc
 	dh_clean
+	rm -f config.log
 
 install: build
 	dh_testdir

## modsecurity-apache 2.6.5

=== debian/changelog ===
modsecurity-apache (2.6.5-2) unstable; urgency=low

  * mod-security.load: removed /usr/lib/ from libxml2's LoadFile path.
    (Closes: #670247)
  * README.Debian: Fix name of example configuration file. 
    (Closes: #668938, #659858)
  * debian/control: Remove mention to modsecurity-common.
    (Closes: #662862)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 03 May 2012 17:36:01 +0200

modsecurity-apache (2.6.5-1) unstable; urgency=low

  * New upstream release

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 20 Mar 2012 20:05:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: modsecurity-apache
 Section: httpd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
+Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>> 7.0.0), apache2-threaded-dev|apache2-prefork-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
 Standards-Version: 3.9.2
 Homepage: http://www.modsecurity.org/
@@ -26,12 +25,10 @@
      can be used to prevent many types of attacks (e.g. XSS attacks, SQL 
      injection, ...) and even allow you to run insecure applications on your 
      servers (if you have no other choice, of course).
- .
- In addition to this package the modsecurity-common package, which includes 
- documentation and configuration examples, will be installed.
 
 Package: libapache-mod-security
 Architecture: all
+Priority: extra
 Section: oldlibs
 Depends: libapache2-modsecurity, ${misc:Depends}
 Description: Dummy transitional package

## modsecurity-apache 2.6.6

=== debian/changelog ===
modsecurity-apache (2.6.6-8) unstable; urgency=low

  * Upload to unstable.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 28 May 2013 18:20:39 +0200

modsecurity-apache (2.6.6-7) experimental; urgency=low

  [Arno Töll]
  * Add support for Apache 2.4 using the patch provided by Ondřej Surý
    (Closes: #666848)
  * Move apache2 configuration files to their canonical name:
    - mod-security.load -> security2.load
    - mod-security.conf -> security2.conf
    Thus, also slightly raise the debhelper build dependency to 8.1.
  * Update security2.conf for changes in Apache 2.4

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 23 May 2013 13:38:35 +0200

modsecurity-apache (2.6.6-6) unstable; urgency=high

  * Applied upstream patch to fix XXE attacks. CVE-2013-1915
    Thanks Thomas Goirand for backporting the patch.
    (Closes: #704625)
    Adds new SecXmlExternalEntity option which by default (Off) disables
    the external entity load task executed by libxml2.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 06 Apr 2013 11:09:12 +0200

modsecurity-apache (2.6.6-5) unstable; urgency=high

  * Applied upstream patch to fix multipart/invalid part
    ruleset bypass. CVE-2012-4528. (Closes: #691146)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 22 Oct 2012 16:23:19 +0200

modsecurity-apache (2.6.6-4) unstable; urgency=low

  * Fix dangling symlink to /usr/share/doc/mod-security-common.
    (Closes: #687866)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 01 Oct 2012 18:05:09 +0200

modsecurity-apache (2.6.6-3) unstable; urgency=low

  * Relicense debian/* files to ASLv2 to avoid conflicts with upstream
    license.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 12 Jul 2012 13:05:20 +0200

modsecurity-apache (2.6.6-2) unstable; urgency=low

  * Updated debian/copyright with right license.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 02 Jul 2012 17:23:08 +0200

modsecurity-apache (2.6.6-1) unstable; urgency=low

  * New upstream release.
  * Remove patches/fix_non_linux.patch. Applied upstream.
  * debian/rules: cleanup.
  * Add hardening flags to build process.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 15 Jun 2012 12:34:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: httpd
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>> 7.0.0), apache2-threaded-dev|apache2-prefork-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 8.1.0~), apache2-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
+Standards-Version: 3.9.3
 Homepage: http://www.modsecurity.org/
 
 Package: libapache2-modsecurity
@@ -11,7 +11,7 @@
 Replaces: libapache-mod-security (<< 2.5.13-1), mod-security-common (<< 2.5.13-1)
 Conflicts: libapache-mod-security (<< 2.5.13-1), mod-security-common (<< 2.5.13-1)
 Recommends: modsecurity-crs
-Depends: apache2.2-common, libxml2, ${shlibs:Depends}, ${misc:Depends}
+Depends: libxml2, ${shlibs:Depends}, ${misc:Depends}
 Description: Tighten web applications security for Apache
  Modsecurity is an Apache module whose purpose is to tighten the Web
  application security. Effectively, it is an intrusion detection and prevention
@@ -35,10 +35,3 @@
  This package is provided to ease the updating of modsecurity to the new 
  package name. You may safely remove it.
 
-# Package: modsecurity-mlogc
-# Architecture: any
-# Depends: libapache2-modsecurity (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
-# Description: ModSecurity audit log collector
-#  Mlogc is used to connect a ModSecurity sensor to the central
-#  audit log repository.
-

=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,17 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-configure: configure-stamp
-configure-stamp:
-	dh_testdir
-	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1
-	touch configure-stamp
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
-build: configure-stamp build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep:
+# Nothing to do here
 build-stamp:
 	dh_testdir
+	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1 CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'
 	cd apache2 && $(MAKE)
 	cd mlogc && $(MAKE)
 	# since we cannot rename with dh_install, create a copy of the file with the desired name
@@ -23,7 +25,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
 	cd mlogc && [ ! -f Makefile ] || $(MAKE) clean
 	rm -f mlogc/README.mlogc
@@ -36,6 +38,7 @@
 	dh_prep
 	dh_installdirs
 	dh_install
+	dh_apache2
 
 binary-indep: build install
 	dh_testdir -i
@@ -84,4 +87,4 @@
 	dh_builddeb -a
 
 binary: binary-arch binary-indep
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install build-arch build-indep

## modsecurity-apache 2.7.4

=== debian/changelog ===
modsecurity-apache (2.7.4-1) unstable; urgency=low

  * New upstream version.
  * Remove doc-base since doc files were removed upstream.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 01 Jul 2013 17:14:29 +0200

modsecurity-apache (2.6.6-9) unstable; urgency=high

  * Applied upstream patch to fix NULL pointer dereference.
    CVE-2013-2765. (Closes: #710217)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 04 Jun 2013 09:34:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 build-stamp:
 	dh_testdir
 	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1 CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'
+	# remove rpath
+	sed -i -r 's/(hardcode_into_libs)=.*/\1=no/' $(CURDIR)/libtool
 	cd apache2 && $(MAKE)
 	cd mlogc && $(MAKE)
 	# since we cannot rename with dh_install, create a copy of the file with the desired name

## modsecurity-apache 2.7.5

=== debian/changelog ===
modsecurity-apache (2.7.5-1) unstable; urgency=low

  * New upstream version

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 11 Oct 2013 11:24:43 +0200

## modsecurity-apache 2.7.7

=== debian/changelog ===
modsecurity-apache (2.7.7-1) unstable; urgency=low

  * New upstream version
  * Bumped Standards-Version to 3.9.5
  * Renamed binary package so that it follows naming standards

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 19 Dec 2013 17:09:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>> 8.1.0~), apache2-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://www.modsecurity.org/
 
-Package: libapache2-modsecurity
+Package: libapache2-mod-security2
 Architecture: any
-Replaces: libapache-mod-security (<< 2.5.13-1), mod-security-common (<< 2.5.13-1)
-Conflicts: libapache-mod-security (<< 2.5.13-1), mod-security-common (<< 2.5.13-1)
+Replaces: libapache2-modsecurity (<< 2.7.7-1~)
+Breaks: libapache2-modsecurity (<< 2.7.7-1~)
 Recommends: modsecurity-crs
 Depends: libxml2, ${shlibs:Depends}, ${misc:Depends}
 Description: Tighten web applications security for Apache
@@ -26,11 +26,11 @@
      injection, ...) and even allow you to run insecure applications on your 
      servers (if you have no other choice, of course).
 
-Package: libapache-mod-security
+Package: libapache2-modsecurity
 Architecture: all
 Priority: extra
 Section: oldlibs
-Depends: libapache2-modsecurity, ${misc:Depends}
+Depends: libapache2-mod-security2, ${misc:Depends}
 Description: Dummy transitional package
  This package is provided to ease the updating of modsecurity to the new 
  package name. You may safely remove it.

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 #	dh_installdebconf -a
 	dh_installdocs -a
 #	dh_installexamples -a
-	cp modsecurity.conf-recommended debian/libapache2-modsecurity/etc/modsecurity
+	cp modsecurity.conf-recommended debian/libapache2-mod-security2/etc/modsecurity
 #	dh_installmenu -a
 #	dh_installlogrotate -a
 #	dh_installemacsen -a
@@ -79,7 +79,7 @@
 	# don't compress examples
 	dh_compress -a -Xexample
 	dh_fixperms -a
-	chown www-data debian/libapache2-modsecurity/var/cache/modsecurity
+	chown www-data debian/libapache2-mod-security2/var/cache/modsecurity
 #	dh_makeshlibs -a
 	dh_installdeb -a
 #	dh_perl -a

## modsecurity-apache 2.8.0

=== debian/changelog ===
modsecurity-apache (2.8.0-2~bpo70+1) wheezy-backports; urgency=low

  * Backport to Wheezy (Closes: #705252)
  * debian/control: Change apache2-dev to 
    apache2-prefork-dev|apache2-threaded-dev, since they don't provide 
    apache2-dev virtual package in Wheezy.
  * debian/rules: remove dh_apache2. Not present in Wheezy.
  * libapache2-mod-security2.install: Add tasks (files) done in dh_apache2
  * Restore libapache2-mod-security2.(prerm|postinst) done in dh_apache2
  * security.conf: Use Include intead of IncludeOptional

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 13 Oct 2014 17:23:31 +0000

modsecurity-apache (2.8.0-2) unstable; urgency=medium

  * Move libapache2-mod-security2.maintscript to
    libapache2-modsecurity.maintscript, since the previous conffiles
    were in the latter.
  * libapache2-modsecurity. Remove dangling symlinks in mods-enabled on
    upgrades.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 03 Oct 2014 11:44:24 +0200

modsecurity-apache (2.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 21 Apr 2014 18:35:38 +0200

modsecurity-apache (2.7.7-2) unstable; urgency=medium

  * Use dh-autoreconf to fix FTBFS on ppc64el. (Closes: #734573)
    Thanks Logan Rosen for the patch.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 15 Jan 2014 10:18:58 +0100

modsecurity-apache (2.6.6-6+deb7u2) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-5705.patch patch.
    CVE-2013-5705: bypass of intended rules via chunked requests.

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 25 Jul 2014 22:23:06 +0200

modsecurity-apache (2.6.6-6+deb7u1) wheezy; urgency=low

  * Applied upstream patch to fix NULL pointer dereference.
    CVE-2013-2765. (Closes: #710217)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 29 May 2013 09:40:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: httpd
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>> 8.1.0~), apache2-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev
+Build-Depends: debhelper (>> 8.1.0~), apache2-prefork-dev|apache2-threaded-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev, dh-autoreconf
 Standards-Version: 3.9.5
 Homepage: http://www.modsecurity.org/
 
@@ -11,6 +11,7 @@
 Replaces: libapache2-modsecurity (<< 2.7.7-1~)
 Breaks: libapache2-modsecurity (<< 2.7.7-1~)
 Recommends: modsecurity-crs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: libxml2, ${shlibs:Depends}, ${misc:Depends}
 Description: Tighten web applications security for Apache
  Modsecurity is an Apache module whose purpose is to tighten the Web

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 # Nothing to do here
 build-stamp:
 	dh_testdir
+	dh_autoreconf
 	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1 CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'
 	# remove rpath
 	sed -i -r 's/(hardcode_into_libs)=.*/\1=no/' $(CURDIR)/libtool
@@ -31,6 +32,7 @@
 	[ ! -f Makefile ] || $(MAKE) distclean
 	cd mlogc && [ ! -f Makefile ] || $(MAKE) clean
 	rm -f mlogc/README.mlogc
+	dh_autoreconf_clean
 	dh_clean
 	rm -f config.log
 
@@ -40,7 +42,6 @@
 	dh_prep
 	dh_installdirs
 	dh_install
-	dh_apache2
 
 binary-indep: build install
 	dh_testdir -i

## modsecurity-apache 2.9.0

=== debian/changelog ===
modsecurity-apache (2.9.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #790116)
  * Removed mlogc_TLS1.2.patch, not needed anymore.
  * Remove old (no longer applied) patches from debian/patches

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 07 Jul 2015 12:26:36 +0200

modsecurity-apache (2.8.0-4) unstable; urgency=medium

  * Apply upstream patch to make mlogc use TLS 1.2 instead of SSL v3.
  * Add support for JSON. (Closes: #765605)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 04 Nov 2014 12:54:04 +0100

modsecurity-apache (2.8.0-3) unstable; urgency=medium

  * Add explicit Build-Dep on libpcre3-dev since libaprutil1-dev no longer
    does. (Closes: #765122)
  * Add pkg-config to Build-Dep so that lua support is picked up correctly.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 13 Oct 2014 20:19:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: httpd
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>> 8.1.0~), apache2-prefork-dev|apache2-threaded-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev, dh-autoreconf
+Build-Depends: debhelper (>> 8.1.0~), apache2-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev, dh-autoreconf, libpcre3-dev, pkg-config, libyajl-dev
 Standards-Version: 3.9.5
 Homepage: http://www.modsecurity.org/
 
@@ -11,7 +11,6 @@
 Replaces: libapache2-modsecurity (<< 2.7.7-1~)
 Breaks: libapache2-modsecurity (<< 2.7.7-1~)
 Recommends: modsecurity-crs
-Pre-Depends: ${misc:Pre-Depends}
 Depends: libxml2, ${shlibs:Depends}, ${misc:Depends}
 Description: Tighten web applications security for Apache
  Modsecurity is an Apache module whose purpose is to tighten the Web

=== debian/watch ===
version=3
http://www.modsecurity.org/download/ modsecurity-apache_(.*)\.tar\.gz

## modsecurity-apache 2.9.1

=== debian/changelog ===
modsecurity-apache (2.9.1-3) unstable; urgency=medium

  * Apply upstream (#1216) patch to fix errors on logging.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 29 Jun 2017 11:19:57 +0200

modsecurity-apache (2.9.1-2) unstable; urgency=medium

  * security2.load: Remove no longer needed load of libxml2.so.2
  * improve_defaults.patch: Increase PCRE limits, reorder SecAuditLogParts
    Thanks Christian Folini for the suggestions!
  * Add IncludeOptional directive for modsecurity-crs package.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 20 Dec 2016 17:14:15 +0100

modsecurity-apache (2.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 19 Sep 2016 19:04:01 +0200

## modsecurity-apache 2.9.2

=== debian/changelog ===
modsecurity-apache (2.9.2-1) unstable; urgency=medium

  * New upstream release. Remove logging patch.
  * Removed no longer needed libapache2-modsecurity transitional package.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 11 Oct 2017 12:53:50 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,6 @@
 
 Package: libapache2-mod-security2
 Architecture: any
-Replaces: libapache2-modsecurity (<< 2.7.7-1~)
-Breaks: libapache2-modsecurity (<< 2.7.7-1~)
 Recommends: modsecurity-crs
 Depends: libxml2, ${shlibs:Depends}, ${misc:Depends}
 Description: Tighten web applications security for Apache
@@ -26,12 +24,3 @@
      injection, ...) and even allow you to run insecure applications on your 
      servers (if you have no other choice, of course).
 
-Package: libapache2-modsecurity
-Architecture: all
-Priority: extra
-Section: oldlibs
-Depends: libapache2-mod-security2, ${misc:Depends}
-Description: Dummy transitional package
- This package is provided to ease the updating of modsecurity to the new 
- package name. You may safely remove it.
-

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	dh_prep
 	dh_installdirs
 	dh_install
+	dh_apache2
 
 binary-indep: build install
 	dh_testdir -i

## modsecurity-apache 2.9.3

=== debian/changelog ===
modsecurity-apache (2.9.3-3) unstable; urgency=medium

  * Add upstream patch to fix Segfault when using SecRemoteRules.
    (Closes: #970833)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 10 Dec 2020 19:14:15 +0100

modsecurity-apache (2.9.3-2) unstable; urgency=medium

  * Added `--enable-pcre-jit` option to configure script

 -- Ervin Hegedus <airween@gmail.com>  Sun, 17 May 2020 19:47:56 +0000

modsecurity-apache (2.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Bumped to debhelper compatibility level 11, removed build-dep on
    dh-autoreconf.
  * Bumped Standards-Version to 4.2.1

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 10 Dec 2018 20:21:48 +0100

modsecurity-apache (2.9.2-2) unstable; urgency=medium

  * Change CRS IncludeOptional to wildcard to get the desired behaviour (not
    failing when CRS not present). Thanks Walter Kleynscheldt for pointing
    this out. (Closes: #874542)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 17 Sep 2018 09:11:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 build-stamp:
 	dh_testdir
 	dh_autoreconf
-	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1 CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'
+	./configure --prefix=/usr --with-apxs=/usr/bin/apxs2 --with-apr=/usr/bin/apr-config --with-lua=/usr/include/lua5.1 --enable-pcre-study --enable-pcre-jit CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)'
 	# remove rpath
 	sed -i -r 's/(hardcode_into_libs)=.*/\1=no/' $(CURDIR)/libtool
 	cd apache2 && $(MAKE)

## modsecurity-apache 2.9.5

=== debian/changelog ===
modsecurity-apache (2.9.5-1ubuntu0.1~esm2) jammy-security; urgency=medium

  * SECURITY UPDATE: denial of service
    - debian/patches/CVE-2025-47947.patch: only sanitize arguments if they
      have not been sanitized before
    - debian/patches/CVE-2025-48866.patch: only sanitize arguments only if
      they have not been sanitized before
    - CVE-2025-47947
    - CVE-2025-48866

 -- Shishir Subedi <shishir.subedi@canonical.com>  Tue, 10 Jun 2025 12:34:47 +0545

modsecurity-apache (2.9.5-1ubuntu0.1~esm1) jammy-security; urgency=medium

  * SECURITY UPDATE: firewall failure
    - debian/patches/CVE-2022-48279.patch: fixed HTTP multipart parsing
      and added and new MULTIPART_PART_HEADERS collection.
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2023-24021.patch: fixed incomplete content in
      FILES_TMP_CONTENT.

 -- Allen Huang <allen.huang@canonical.com>  Wed, 13 Sep 2023 12:06:22 +0100

modsecurity-apache (2.9.5-1) unstable; urgency=medium

  [ Ervin Hegedüs ]
  * New upstream version 2.9.5
  * Fixes CVE-2021-2021-42727
  * Removed d/patches/970833_fix.patch; upstream contains it
  * Added Ervin Hegedus <airween@gmail.com> to Uploaders in d/control
  * Changed Homepage field in d/changelog
  * Added Vcs-Browser to d/changelog
  * Bump Standards-Versio to 4.6.0
  * Bump compat to 13
  * Aligned d/watch - old URI is no longer available

 -- Ervin Hegedus <airween@gmail.com>  Tue, 23 Nov 2021 13:25:57 +0100

=== debian/control ===
Source: modsecurity-apache
Section: httpd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: debhelper (>> 13), apache2-dev, libxml2-dev (>= 2.0.50-10), liblua5.1-0-dev, libcurl4-gnutls-dev, libpcre3-dev, pkg-config, libyajl-dev
Standards-Version: 4.6.0
Homepage: https://github.com/SpiderLapbs/ModSecurity
Uploaders: Ervin Hegedus <airween@gmail.com>
Vcs-Browser: https://salsa.debian.org/modsecurity-packaging-team/modsecurity-apache

Package: libapache2-mod-security2
Architecture: any
Recommends: modsecurity-crs
Depends: libxml2, ${shlibs:Depends}, ${misc:Depends}
Description: Tighten web applications security for Apache
 Modsecurity is an Apache module whose purpose is to tighten the Web
 application security. Effectively, it is an intrusion detection and prevention
 system for the web server.
 .
 At the moment its main features are:
   * Audit log; store full request details in a separate file, including POST
     payloads.
   * Request filtering; incoming requests can be analysed and offensive requests
     can be rejected (or simply logged, if that is what you want). This feature
     can be used to prevent many types of attacks (e.g. XSS attacks, SQL
     injection, ...) and even allow you to run insecure applications on your
     servers (if you have no other choice, of course).
